Bug 129982 - Gedit crashes with Tamil text
Summary: Gedit crashes with Tamil text
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: Indic
TreeView+ depends on / blocked
 
Reported: 2004-08-16 08:37 UTC by Jatin Nansi
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-16 22:00:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case in tamil for gedit (43.42 KB, text/plain)
2004-08-16 08:39 UTC, Jatin Nansi
no flags Details
the backtrace (3.45 KB, text/plain)
2004-08-16 08:46 UTC, Jatin Nansi
no flags Details

Description Jatin Nansi 2004-08-16 08:37:14 UTC
Description of problem:
Loading UTF8 tamil text in Gedit causes it to crash. It does not
matter what font is used. It does not even matter if a tamil font is
in use. Gedit will crash regardless.

Version-Release number of selected component (if applicable):
2.7.90-1

How reproducible:
Every time

Steps to Reproduce:
1. Start gedit
2. Open the attached test case
3.
  
Actual results:
Gedit crashes

Expected results:
Gedit should not crash, and display the contents of the file.

Additional info:
This is tested on rawhide. This file opens fine in FC2 gedit (2.6.0-4). 
I am attaching a back trace from gedit.
To test this out, Tamil fonts are available in the following RPM:
http://bob.brisbane.redhat.com/~jnansi/pkgs/ttfonts-ta-1-1.noarch.rpm

Comment 1 Jatin Nansi 2004-08-16 08:39:10 UTC
Created attachment 102756 [details]
test case in tamil for gedit

Comment 2 Jatin Nansi 2004-08-16 08:46:17 UTC
Created attachment 102757 [details]
the backtrace

Comment 3 Owen Taylor 2004-08-16 17:44:58 UTC
Fixed in GNOME CVS, will try to build a new package soon.

Mon Aug 16 13:42:38 2004  Owen Taylor  <otaylor@redhat.com>
 
        * pango/pango-ot.h (struct _PangoOTGlyph): Sync with
        change to OTL_GlyphItemRec.
        (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=129982,
        Jatin Nansi)


Comment 4 Owen Taylor 2004-08-16 22:00:35 UTC
* Mon Aug 16 2004 Owen Taylor <otaylor@redhat.com> - 1.5.2-2
- Fix crashes with left-matra fixups (#129982, Jatin Nansi)



Note You need to log in before you can comment on or make changes to this bug.